<!DOCTYPE html>
<html>
<head>
	<title>BACKGROUND PRACTISE</title>
</head>
<style type="text/css">
	body{margin: 0;}
	.box{
		height: 500px;
		width:500px;
		background-color: black;
		margin: 20px;
		transition: .5s;
	}
	.box:hover{
		background-color: pink;
		height:150px;
		width:100px;
		margin: 0px;
	}
	.gradient{
		height: 100px;
		width: 50px;
		background-image: linear-gradient(340deg, violet,yellow);
	}
</style>
<body>
	<div class="box"></div>
	<hr>
	<div class="gradient"></div>
</body>
</html>